#30 Make dirac compile with gcc 4.3

open
nobody
None
5
2007-10-05
2007-10-05
No

Dirac (0.8.0 and current CVS) fails to compile with gcc 4.3 snapshots because gcc 4.3 introduced a number of new warnings (which dirac turns into errors with the -Werror flag), such as warning about unnecessary const on return types that are returned by value (the const there is ignored anyway), and because gcc trimmed the libstdc++ headers to include fewer external headers, causing the prototypes of strcmp etc. to go missing unless the C headers are included.

Discussion

  • Nobody/Anonymous

    Logged In: NO

    I want to compile dirac with gcc 4.3. For that I need a software or any help to make gcc4.3 compile with Dirac

     
  • Anuradha Suraparaju

    Logged In: YES
    user_id=692051
    Originator: NO

    Lots of changes have been made to the CVS since dirac 0.8.0. You can build the latest source from the CVS with gcc 4.3. A new version of Dirac will be released soon. Until then please use the source code from the CVS.

     

Log in to post a comment.

Get latest updates about Open Source Projects, Conferences and News.

Sign up for the SourceForge newsletter:

JavaScript is required for this form.





No, thanks